# -*- tcl -*-
# Tcl package index file, version 1.1
#
if {[package vsatisfies [package provide Tcl] 9.0-]} {
    package ifneeded treectrl 2.5.2 \
        [list ::apply {{dir} {
            if {![info exists ::env(TREECTRL_LIBRARY)]
                    && [file exists [file join $dir treectrl.tcl]]} {
                set ::treectrl_library $dir
            }
            load [file join $dir libtcl9treectrl2.5.2.so] [string totitle treectrl]
        }} $dir]

} else {
    package ifneeded treectrl 2.5.2 \
        [list ::apply {{dir} {
            if {![info exists ::env(TREECTRL_LIBRARY)]
                    && [file exists [file join $dir treectrl.tcl]]} {
                set ::treectrl_library $dir
            }
            load [file join $dir libtreectrl2.5.2.so] [string totitle treectrl]
        }} $dir]
}
